Bug 1797647 - DNS VIP missing from /etc/resolv.conf
Summary: DNS VIP missing from /etc/resolv.conf
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.3.z
Assignee: Antoni Segura Puimedon
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On: 1798146
Blocks: 1771572
TreeView+ depends on / blocked
 
Reported: 2020-02-03 14:51 UTC by Marius Cornea
Modified: 2020-06-10 11:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1798146 (view as bug list)
Environment:
Last Closed: 2020-06-10 11:12:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator issues 1420 None closed baremetal: ipv6 non_virtual_ip for workers is empty 2020-06-09 16:53:30 UTC
Github openshift machine-config-operator pull 1445 None closed Bug 1797647: [release-4.3] [baremetal] Ipv6 non virtual ip fix 2020-06-09 16:53:30 UTC
Github openshift machine-config-operator pull 1466 None closed Bug 1797647: [release-4.3] [baremetal] Ipv6 non virtual ip fix 2020-06-09 16:53:30 UTC

Description Marius Cornea 2020-02-03 14:51:37 UTC
Description of problem:
When deploying worker nodes in a bare metal IPv6 deployment /etc/resolv.conf doesn't include the DNS VIP hence the worker nodes do not come up properly.

Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2020-01-29-114541-ipv6.1

How reproducible:
100%

Steps to Reproduce:
1. Deploy control plane IPv6 bare metal environment with worker nodes 

Actual results:
Worker nodes do not come up properly.

Expected results:
Worker nodes are set up correctly.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.